WordPress at a glance
function is not described

Automattic\WooCommerce\Admin\Features

Onboarding::has_woocommerce_support() public WC 1.0

Deprecated from version 2.2.0. It is no longer supported and can be removed in future releases. It is recommended to replace this function with the same one.

Check if theme has declared support for WooCommerce.

{} It's a method of the class: Onboarding{}

No Hooks.

Return

true|false. Nothing.

Usage

$result = Onboarding::has_woocommerce_support( $theme );
$theme(WP_Theme) (required)
Theme to check.

Changelog

Deprecated 2.2.0

Code of Onboarding::has_woocommerce_support() WC 5.3.0

<?php
public static function has_woocommerce_support( $theme ) {
	wc_deprecated_function( 'Onboarding::has_woocommerce_support', '5.3' ); // Deprecated since WooCommerce 5.3.
	return true; // All themes are supported since WooCommerce 3.3.
}